[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TBucketProc

Callback for the ForEach call.

## Declaration

Source position: contnrs.pp line 502

`type TBucketProc = procedure(`
`AInfo: Pointer;`
`AItem: Pointer;`
`AData: Pointer;`
`out AContinue: Boolean`
`);`

## Arguments

`AInfo` |  | Extra info pointer passed to Foreach call.
`AItem` |  | Item
`AData` |  | Data associated with item
`AContinue` |  | Set to false to stop iteration over items.

## Description

TBucketProc is the prototype for the TCustomBucketList.Foreach call. It is the plain procedural form. The Continue parameter can be set to False to indicate that the Foreach call should stop the iteration.

For a procedure of object (a method) callback, see the TBucketProcObject prototype.

## See also

TCustomBucketList.Foreach |  | Loop over all items.
TBucketProcObject |  | Callback for the ForEach call.

Documentation generated on: Feb 26 2014